Audit Log Archive
The audit log archive resource.
Basehttps://rest.carbon.ms/auditLogArchive
GET
/auditLogArchiveList audit log archives
Retrieve a paginated list of audit log archives. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/auditLogArchive
curl --request GET \
--url 'https://rest.carbon.ms/auditLogArchive?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"companyId": "xyz789",
"archivePath": "string",
"startDate": "2026-01-01",
"endDate": "2026-01-01",
"rowCount": 10,
"createdAt": "2026-01-01T00:00:00Z",
"sizeBytes": 0
}
]GET
/auditLogArchiveRetrieve a audit log archive
Fetch a single audit log archive by filtering on `id`.
Query parameters
idstringMatch on the audit log archive's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/auditLogArchive
curl --request GET \
--url 'https://rest.carbon.ms/auditLogArchive?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"archivePath": "string",
"startDate": "2026-01-01",
"endDate": "2026-01-01",
"rowCount": 10,
"createdAt": "2026-01-01T00:00:00Z",
"sizeBytes": 0
}POST
/auditLogArchiveCreate a audit log archive
Create a new audit log archive.
Body parameters
companyIdstringrequiredReferences company.id
archivePathstringrequiredstartDatedaterequiredendDatedaterequiredrowCountnumberrequiredsizeBytesnumberPOSThttps://rest.carbon.ms/auditLogArchive
curl --request POST \
--url https://rest.carbon.ms/auditLogArchive \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"companyId":"xyz789","archivePath":"string","startDate":"2026-01-01","endDate":"2026-01-01","rowCount":10}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"archivePath": "string",
"startDate": "2026-01-01",
"endDate": "2026-01-01",
"rowCount": 10,
"createdAt": "2026-01-01T00:00:00Z",
"sizeBytes": 0
}PATCH
/auditLogArchiveUpdate a audit log archive
Update an existing audit log archive, matched on `id`.
Body parameters
companyIdstringrequiredReferences company.id
archivePathstringrequiredstartDatedaterequiredendDatedaterequiredrowCountnumberrequiredsizeBytesnumberPATCHhttps://rest.carbon.ms/auditLogArchive
curl --request PATCH \
--url 'https://rest.carbon.ms/auditLogArchive?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"companyId":"xyz789"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"archivePath": "string",
"startDate": "2026-01-01",
"endDate": "2026-01-01",
"rowCount": 10,
"createdAt": "2026-01-01T00:00:00Z",
"sizeBytes": 0
}DELETE
/auditLogArchiveDelete a audit log archive
Delete a audit log archive, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the audit log archive to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/auditLogArchive
curl --request DELETE \
--url 'https://rest.carbon.ms/auditLogArchive?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content